<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        app:pa_left_start_icon="@drawable/platform_common_back"
        android:background="@color/platform_white"
        app:pa_title_text="充值" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="@dimen/divide_line_stroke_width"
        android:layout_marginTop="@dimen/platform_default_dis_size"
        android:background="#EDEDED" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/platform_default_dis_size"
            android:text="充值金额"
            android:textColor="#000000" />

        <com.yidianling.user.mine.RechargeGridView
            android:id="@+id/recharge_rgv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/divide_line_stroke_width"
            android:layout_marginTop="@dimen/platform_default_dis_size"
            android:background="#EDEDED" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                android:id="@+id/recharge_design"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/platform_default_dis_size"
                android:text="其他金额"
                android:textColor="#000000"
                android:visibility="invisible" />

            <TextView
                android:id="@+id/recharge_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:padding="@dimen/platform_default_dis_size"
                android:text="其他金额"
                android:textAlignment="center"
                android:textColor="#000000" />

            <EditText
                android:id="@+id/recharge_et"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"
                android:layout_toRightOf="@+id/recharge_design"
                android:background="@null"
                android:hint="请输入金额"
                android:maxLength="10"
                android:imeOptions="actionDone"
                android:inputType="number|numberDecimal"
                android:visibility="invisible" />
        </RelativeLayout>

    </LinearLayout>

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="@dimen/divide_line_stroke_width"
        android:background="#EDEDED" />

    <com.ydl.ydlcommon.view.RoundCornerButton
        android:id="@+id/rcb_next"
        style="?android:attr/borderlessButtonStyle"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/platform_default_dis_size"
        android:layout_marginRight="@dimen/platform_default_dis_size"
        android:layout_marginTop="16dp"
        android:text="下一步"
        android:textColor="@color/white"
        android:textSize="16sp"
        app:pa_round_btn_bg="@color/platform_main_theme"
        app:pa_round_btn_radio_size="4dp" />

</LinearLayout>
